org.omg.CORBA

## Class TIMEOUT

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.TIMEOUT

- All Implemented Interfaces:
    Serializable

      public final class TIMEOUT
      extends SystemException

  `TIMEOUT` is raised when no delivery has been made and the specified time-to-live period has been exceeded. It is a standard system exception because time-to-live QoS can be applied to any invocation.
  Since:
    J2SE 1.5
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TIMEOUT()` Constructs an `TIMEOUT` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.
    `TIMEOUT(int minorCode, CompletionStatus completionStatus)` Constructs an `TIMEOUT` exception with the specified minor code and completion status.
    `TIMEOUT(String detailMessage)` Constructs an `TIMEOUT` exception with the specified message.
    `TIMEOUT(String detailMessage, int minorCode, CompletionStatus completionStatus)` Constructs an `TIMEOUT` exception with the specified message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TIMEOUT

          public TIMEOUT()

      Constructs an `TIMEOUT` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.

    - #### TIMEOUT

          public TIMEOUT(String detailMessage)

      Constructs an `TIMEOUT` exception with the specified message.
      Parameters:
        `detailMessage` - string containing a detailed message.

    - #### TIMEOUT

          public TIMEOUT(int minorCode,
                         CompletionStatus completionStatus)

      Constructs an `TIMEOUT` exception with the specified minor code and completion status.
      Parameters:
        `minorCode` - minor code.
        `completionStatus` - completion status.

    - #### TIMEOUT

          public TIMEOUT(String detailMessage,
                         int minorCode,
                         CompletionStatus completionStatus)

      Constructs an `TIMEOUT` exception with the specified message, minor code, and completion status.
      Parameters:
        `detailMessage` - string containing a detailed message.
        `minorCode` - minor code.
        `completionStatus` - completion status.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.